import QtQuick 2.7
import QtQuick.Controls 2.0

Item {
    width: 400
    height: 400

	Item {
        id: pageNameLayout
        height: 40
        anchors.right: parent.right
        anchors.rightMargin: 0
        anchors.left: parent.left
        anchors.leftMargin: 0
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 0

        Text {
            id: pageName
            text: qsTr("Адресная книга")
            font.pixelSize: parent.width > 300 ? 24 : 12
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            renderType: Text.QtRendering
            font.capitalization: Font.MixedCase
            anchors.fill: parent
        }
    }
}
