import QtQuick 2.7

SearchForm {
	signal unitSelected()

	//property alias unitModel: unitsTree.itemModel

	unitFilterText.onTextChanged: {
		unitsTree.filter(unitFilterText.text)
	}

	resetButton.onClicked: {
		unitFilterText.text = "";
		unitsTree.reset()
	}

	function processUnitCodesSwitchOnClicked() {
		unitsTree.codeStrColumn.visible = unitCodesSwitch.checked
	}

	unitCodesSwitch.onClicked: {
		processUnitCodesSwitchOnClicked()
	}

	Component.onCompleted: {
		processUnitCodesSwitchOnClicked()
	}

	unitsTree.onItemSelected: {
		unitSelected()
	}
	unitsTree.onComponentCompleted: {

	}
}
