import QtQuick 2.0

import "helpers" as ViewHelpers
import "../models" as Models

ViewHelpers.List {
	id: unitsList
	anchors.fill: parent

	itemModel: Models.Unit{}

	itemList.delegate: Item {
		id: itemDelegate
		height: 50
		Text {
			color: "#08c"
			x: 20
			y: 25
			font.pixelSize: 20
			text: ">"
		}
		Text {
			x: 48
			y: 25
			font.pixelSize: 20
			text: Name
		}
	}
}
